### Virtual Method

# Camel FolderSummary message_info_new_from_headers

since: 3.24

#### Declaration [src]

    CamelMessageInfo*
    message_info_new_from_headers (
      CamelFolderSummary* summary,
      const CamelNameValueArray* headers
    )

#### Description [src]

Create a new info record from a header.

Available since: 3.24

#### Parameters

`headers`

  Type: `CamelNameValueArray`

  Rfc822 headers as `CamelNameValueArray`.

  The data is owned by the caller of the method.

#### Return value

Type: `CamelMessageInfo`

A newly created `CamelMessageInfo`. Unref it with g_object_unref(), when done with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.